mixed-port: 7897
# 允许局域网的连接
allow-lan: true

# 规则模式：Rule（规则） / Global（全局代理）/ Direct（全局直连）
mode: rule

# 设置日志输出级别 (默认级别：silent，即不输出任何内容，以避免因日志内容过大而导致程序内存溢出）。
# 5 个级别：silent / info / warning / error / debug。级别越高日志输出量越大，越倾向于调试，若需要请自行开启。
log-level: warning

# Clash 的 RESTful API
external-controller: 127.0.0.1:39597

dns:
  enable: true
  nameserver:
    - 1.1.1.1
    - 223.5.5.5
rule-providers:
  direct-rule-set:
    type: http
    path: ./ruleset/direct-rule-set.yml
    url: https://dl.sunriseydy.dev/clash/direct-rule-set.yml
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
#
proxies:
  - name: remote-http
    type: http
    server: server.local
    port: 7897

proxy-groups:
  - name: remote
    type: select
    proxies:
      - remote-http
      - DIRECT

# 规则
rules:
  ## ============================================
  ## Clash 分流规则配置
  ## ============================================
  - RULE-SET,direct-rule-set,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,remote
